// MIXINS, VARIABLES & EXTENDS:

@import "assets";

// BOOKLET:

#booklet {
  @include shadow;
  :global(#booklet-info) {
    @include flexbox();

    :global(#booklet-image) {
      @include flex(0 0 content);
      span {
        box-shadow: var(--shadow-elevation);
      }
      :global(#booklet-year) {
        font-size: $typo-large-size;
        margin-top: 10px;
      }
      :global(#booklet-level) {
        width: 200px;
        background-color: white;
        @include border-radius(8px);
        margin-top: 10px;
        img {
          display: block;
          margin: 0 auto;
        }
      }
    }

    :global(#booklet-text) {
      margin-left: 15px;
      a:global(.booklet-download) {
        @include basic-button;
        line-height: $line-height-normal-size;
        display: inline-block;
        margin-bottom: 15px;
        &:hover {
          text-decoration: none;
        }
      }
      h2 {
        margin: 20px 0;
      }
    }

    :global(#booklet-instructions) {
      margin-left: 15px;
      text-align: right;
    }
  }

  &:global(.rtl) {
    :global(#booklet-info) {
      :global(#booklet-text) {
        margin-right: 15px;
      }
    }
  }

  @media screen and (max-width: $tablet-width) {
    :global(#booklet-info) {
      @include flex-direction(column);
      :global(#booklet-image) {
        margin-bottom: 20px;
      }
      :global(#booklet-text) {
        margin: 0 0 20px 0;
      }
      :global(#booklet-instructions) {
        border-top: 1px solid $basic-font-color;
        text-align: left;
        margin-left: 0;
        padding-top: 20px;
      }
    }
    &:global(.rtl) {
      :global(#booklet-info) {
        :global(#booklet-text) {
          margin-right: 0;
        }
        :global(#booklet-instructions) {
          text-align: right;
        }
      }
    }
  }
}
